(function( $ ) {

    function getPreviewValues(){
        var stghKbLocale = {};
        stghKbLocale.colCount = $('#stgh_kb_colcount').val();
        stghKbLocale.artHeaderColor = $('#stgh_kb_art_header_color').val();
        stghKbLocale.artFontHeaderColor = $('#stgh_kb_art_font_header_color').val();
        stghKbLocale.artColor = $('#stgh_kb_art_color').val();
        stghKbLocale.artFontColor = $('#stgh_kb_art_font_color').val();
        stghKbLocale.rounded = $('#stgh_kb_rounded').is(':checked');
        stghKbLocale.kb_search_placeholder = $('#stgh_kb_search_placeholder').val();
        stghKbLocale.kb_search_width = $('#stgh_kb_search_width').val();
        stghKbLocale.artFontSize = $('#stgh_kb_art_font_size').val();
        stghKbLocale.artFontHeaderSize = $('#stgh_kb_art_font_header_size').val();
        return stghKbLocale;

    }

    function showKbLayout(stghKbLocale){

        var vTopic = '';
        switch(stghKbLocale.colCount){
            case '1':
                vTopic = '90%';
                break;
            case '2':
                vTopic = '45%';
                break;
            case '3':
                vTopic = '30%';
                break;
        }


        $('.stgh-kb-topic h3').css('background-color',stghKbLocale.artHeaderColor)
            .css('color',stghKbLocale.artFontHeaderColor)
            .css('font-size',stghKbLocale.artFontHeaderSize+'px');

        var topic = $('.stgh-kb-topic');
        topic.css('background-color',stghKbLocale.artColor)
            .css('width',vTopic)
            .css('border-color',stghKbLocale.artHeaderColor);


        $('.stgh-kb-topic a').css('color',stghKbLocale.artFontColor)
        .css('font-size',stghKbLocale.artFontSize+'px');

        var newStyle = '.stgh-kb-article:before{color:'+stghKbLocale.artFontColor+' !important;}';
        $('head').append('<style>'+newStyle+'</style>');


        $('#stgh-kb-search-s').attr('placeholder',stghKbLocale.kb_search_placeholder);
        $('#stgh-kb-search-form').css('width',stghKbLocale.kb_search_width+'%');


        if(stghKbLocale.rounded){
            topic.addClass('stgh-kb-rounded');
        }else{
            topic.removeClass('stgh-kb-rounded');
        }

        $('#stgh-kb-layout').show();
    }

    $(document).ready(function(){

        $('#stgh_kb_art_header_color, #stgh_kb_art_font_header_color, #stgh_kb_art_color, #stgh_kb_art_font_color').wpColorPicker();

        var previewButton = document.createElement('button');
        previewButton.className ="button button-secondary stgh-preview";
        previewButton.innerHTML = "Preview";

        previewButton.addEventListener('click',function (event) {
            event.preventDefault();
            var stghKbLocale = getPreviewValues();
            showKbLayout(stghKbLocale);
        });

        $('.titan-framework-panel-wrap p.submit').append(previewButton);
        showKbLayout(stghKbLocale);

        if ($("*").is('#stgh-kb-articles')) {
            var articles = $("#stgh-kb-articles");
            // noinspection JSUnusedGlobalSymbols
            articles.sortable({
                forcePlaceholderSize: true,
                forceHelperSize: true,
                update: function() {
                    var ids = $('.stgh-kb-topic').map(function() { return this.id; }).get();
                    $.getJSON(ajaxurl + "?callback=?&action=stgh-kbsaverange", {'ids': ids} );
                }
            });
            articles.disableSelection();
        }

    });


    function parseUrl(url) {
        var result = {};

        if(typeof url !== 'undefined'){
            var urlVariables = url.split('&');

            for (var i = 0; i < urlVariables.length; i++) {
                var name = urlVariables[i].split('=');
                result[name[0]] = name[1];
            }
        }

        return result;
    }


    $(document).ajaxSuccess(function(e, request, settings){
        var object = parseUrl(settings.data);

        if((object.post_type === "stgh_ticket" && object.action === 'add-tag' && object.screen === 'edit-savedreply' && object.taxonomy === 'savedreply')
            || (object.action === 'delete-tag' && object.taxonomy === 'savedreply')){
            $.getJSON(ajaxurl + "?action=stgh-get-qa_topics_list", function(data) {

                if($.isEmptyObject(data) || data.length === 0){
                    $('label[for="stgh_qa_topics_list"]').addClass('stgh_hide');
                }else{
                    $('label[for="stgh_qa_topics_list"]').removeClass('stgh_hide');
                }

                $('.stgh_qa_topics_list option').remove();
                $('.stgh_qa_topics_list').append('<option value=" "> </option>');
                $.each(data, function() {
                        $('.stgh_qa_topics_list').append('<option value="' + this + '">' + this + '</option>')
                    }
                )
            })

        }
    });

})( jQuery );