<?php

/**
 * Fired during plugin activation
 *
 * @link       https://mycatchers.com
 * @since      1.0.0
 *
 * @package    Catchers_Helpdesk_Addon5
 * @subpackage Catchers_Helpdesk_Addon5/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Catchers_Helpdesk_Addon5
 * @subpackage Catchers_Helpdesk_Addon5/includes
  */
class Catchers_Helpdesk_Addon5_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		$addonDeps = Catchers_Helpdesk_Addon5::checkPluginDeps();

		if(!$addonDeps) {
			update_option('stgh_redirect_to_welcome_page_addon', true);
            update_option('stgh_need_delta', true);
		}else{

            /** @noinspection PhpIncludeInspection */
            require_once plugin_dir_path( dirname( __FILE__ ) ) . 'includes/class-catchers-helpdesk-addon5-report.php';

		    Catchers_Helpdesk_Addon5_Report::deltaTables();
        }
	}

}
