<?php
/**
 * Report cron class
 *
 * @link       https://mycatchers.com
 * @since      1.0.0
 *
 * @package    Catchers_Helpdesk_Addon5
 * @subpackage Catchers_Helpdesk_Addon5/includes
 */

class Catchers_Helpdesk_Addon5_Report_Cron {

    public static function cronCreateDefaultReportTasks()
    {
        self::parseDataToEventReport();
    }

    public static function parseDataToEventReport(){
        $currTicketId = Catchers_Helpdesk_Addon5_Report::occupyTicket();
        Catchers_Helpdesk_Addon5_Report::addTicketEvents($currTicketId);
    }

    public static function setCronCreateDefaultReportTasks()
    {

        $haveTasks = Catchers_Helpdesk_Addon5_Report::haveTasks();
        if($haveTasks > 0) {
            add_filter('cron_schedules', 'stgh_cron_add_schedules');

            $schedule = wp_get_schedule('stgh_create_default_report_hook');
            $cronPeriod = '1min';

            if ($schedule != $cronPeriod) {
                self::unsetCronCreateDefaultReportTasks();
                wp_schedule_event(time() + 1 * 60, $cronPeriod, 'stgh_create_default_report_hook');
            }
        }
    }

    public static function unsetCronCreateDefaultReportTasks()
    {
        wp_clear_scheduled_hook('stgh_create_default_report_hook');
    }



}
