<?php
/**
 * Order Information.
 */

// If this file is called directly, abort.

if (!defined('WPINC')) {
    die;
}
global $post;

$ticket = StgHelpdesk\Ticket\Stg_Helpdesk_Ticket::getInstance($post->ID);
$contact = $ticket->getContact();

if(empty($contact)) {
    echo(__('User not found', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME));
}else
{
$currentContactUserId = $contact->ID;

$orders = stg_wc_get_customer_orders($currentContactUserId, 5);
$order = stg_wc_get_ticket_order($post->ID,$currentContactUserId);
$lifeTime = stg_wc_get_customer_lifetime($currentContactUserId);

$totalCost = stg_wc_get_order_total_cost(stg_wc_get_order_id($order),$order);

$currencyType = stg_wc_get_woocommerce_currency_symbol(stg_wc_get_currency($order));
$products = stg_wc_get_ticket_items($post->ID, 5);
$hasProducts = count($products)>0;
$productsLine = array();

if($hasProducts)
    foreach($products as $product)
    {
        $url = get_admin_url(null, "post.php?post=".$product->get_id()."&action=edit");
        $productsLine[] = '<a href="'.$url.'">'.$product->get_title().'</a>';
    }

$ordersLine = array();
foreach($orders as $currOrder){
    if(stg_wc_get_order_id($currOrder) == stg_wc_get_order_id($order))
        continue;

    $url = get_admin_url(null, "post.php?post=".stg_wc_get_order_id($currOrder)."&action=edit");
    $ordersLine[] = '<a href="'.$url.'" class="stgh-notunderline"># <span class="stgh-underline">'.stg_wc_get_order_id($currOrder).'</span></a>';
}
?>
<div class="stgh-metabox submitbox">
    <?php wp_nonce_field(Catchers_WC_Support_Admin::$nonceAction, Catchers_WC_Support_Admin::$nonceName, false, true); ?>
    <div class="stgh-metabox-inner-item stgh-metabox-order-item">
        <label for="order-status">
            <?= __('Status', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME) ?>:
        </label>
        <span><?= wc_get_order_status_name($order->get_status())?></span>
    </div>

    <?php if($hasProducts):?>
        <div class="stgh-metabox-inner-item stgh-metabox-order-item">
            <label for="order-products">
                <?= __('Items', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME) ?>:
            </label>
            <span><?= implode(" , ",$productsLine)?></span>
        </div>
    <?php endif;?>

    <div class="stgh-metabox-inner-item stgh-metabox-order-item">
        <label for="order-date">
            <?= __('Date', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME) ?>:
        </label>
        <span><?=stg_wc_get_order_date($order);?></span>
    </div>
    <?php if(count($ordersLine) > 0):?>
        <div class="stgh-metabox-inner-item stgh-metabox-order-item">
            <label for="order-total">
                <?= __('Order total cost', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME) ?>:
            </label>
            <span><?=$totalCost." ".$currencyType?></span>
        </div>
    <?php endif;?>
    <div class="stgh-metabox-inner-item stgh-metabox-order-item">
        <label for="order-lifetime">
            <?= __('Lifetime value', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME) ?>:
        </label>
        <span><?=$lifeTime." ".$currencyType?></span>
    </div>
    <?php if(count($ordersLine) > 0):?>
        <div class="stgh-metabox-inner-item">
            <label for="order-prev">
                <?= __('Previous orders', STG_HELPDESK_WC_SUPPORT_TEXT_DOMAIN_NAME) ?>:
            </label>
            <div><?=implode('<br/>',$ordersLine)?></div>
        </div>
    <?php endif;?>
    <div class="clear"></div>
</div>
<?php
}