<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://mycatchers.com/
 * @since             1.0.0
 * @package           Catchers_WC_Support.
 *
 * @wordpress-plugin
 * Plugin Name:       Catchers Helpdesk Woocommerce Support
 * Plugin URI:        https://mycatchers.com/woo/
 * Description:       The Woo commerce extension for Catchers Helpdesk allows you to catch the customer profile through your WooCommerce store.
 * Version:           2.6.2
 * Author:            mycatchers
 * Author URI:        https://mycatchers.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       catchers-wc-support
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}


/** @noinspection PhpIncludeInspection */
require_once plugin_dir_path( __FILE__ ) . 'bootstrap.php';


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-catchers-wc-support-activator.php
 */
function activate_catchers_wc_support() {
    /** @noinspection PhpIncludeInspection */
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-catchers-wc-support-activator.php';
	Catchers_WC_Support_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-catchers-wc-support-deactivator.php
 */
function deactivate_catchers_wc_support() {
    /** @noinspection PhpIncludeInspection */
    require_once plugin_dir_path( __FILE__ ) . 'includes/class-catchers-wc-support-deactivator.php';
	Catchers_WC_Support_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_catchers_wc_support');
register_deactivation_hook( __FILE__, 'deactivate_catchers_wc_support');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
/** @noinspection PhpIncludeInspection */
require plugin_dir_path( __FILE__ ) . 'includes/class-catchers-wc-support.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_catchers_wc_support() {
	$plugin = new Catchers_WC_Support(plugin_basename(__FILE__));
	$plugin->run();

}

//run_catchers_wc_support();
add_action('plugins_loaded','run_catchers_wc_support');

