<?php

/**
 * Fired during plugin activation
 *
 * @link       https://mycatchers.com
 * @since      1.0.0
 *
 * @package    Catchers_WC_Support
 * @subpackage Catchers_WC_Support/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Catchers_WC_Support
 * @subpackage Catchers_WC_Support/includes
  */
class Catchers_WC_Support_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {

		$addonDeps = Catchers_WC_Support::checkPluginDeps();

		if(!$addonDeps) {
			update_option('stgh_redirect_to_welcome_page_wc_addon', true);
		}


		if(!is_plugin_active('woocommerce/woocommerce.php')){
			update_option('stgh_redirect_to_welcome_page_wc_addon', true);
		}

		flush_rewrite_rules();

	}


}
