
(function( $ ) {
    'use strict';

    window.doSubmit = false;


    var formatProduct = function(product) {
        if (product.loading) return product.text;

        var markup = "<div class='stgselect2-result-stgh-product-name'>" + product.full_name + "</div>";

        if (product.description) {
            markup += "<div class='stgselect2-result-stgh-product-desc'>" + product.description + "</div>";
        }

        return markup;
    }

    var formatProductSelection = function(product){
        return product.full_name;
    }


    var improveProductsSelect = function(){
        $("#stg_wc_products_field").stgselect2({
            minimumInputLength: 3,
            ajax: {
                url: stgh_public.ajaxurl,
                dataType: 'json',
                delay: 250,
                data: function (params) {

                    return {
                        action: 'stgh_get_product_search',
                        ids: $("#stg_wc_products_field").val(),
                        q: params.term, // search term
                        page: params.page
                    };
                },
                processResults: function (data, params) {
                    params.page = params.page || 1;

                    return {
                        results: data,
                        pagination: {
                            more: (params.page * 30) < data.total_count
                        }
                    };
                },
                cache: true
            },
            escapeMarkup: function (markup) { return markup; },
            templateResult: formatProduct,
            templateSelection: formatProductSelection
        });
    }


    var drawFormBLock = function (){
        var formDiv = document.createElement('div');
        formDiv.id = 'stgh_orders_ticket_form';
        //formDiv.style.backgroundColor = stgh_public.button_color;
        $('body').append(formDiv);

    };

    var positionFormBlock = function(e){
        var formDiv = document.getElementById('stgh_orders_ticket_form');
        var bW = formDiv.offsetWidth;
        var bH = formDiv.offsetHeight;
        var wW = $(window).width();
        var wH = $(window).height();

        formDiv.style.top  = wH/2-bH/2+"px";
        //formDiv.style.top  = "40px";
        formDiv.style.left = wW/2-bW/2+"px";
    }

    var drawCloser = function (){
        var closer = document.createElement('div');
        closer.id = 'stgh_orders_ticket_closer';
        //closer.innerHTML = 'X';
        $('#stgh_orders_ticket_form').append(closer);

    };

    var drawForm = function (orderId,e){

        var data = {
            'action': 'stgh_get_user_form',
            'orderId': orderId,
            'form': stgh_public.contactForm,
        };
        $.post(stgh_public.ajaxurl, data, function (response) {
            if(response){
                $('#stgh_orders_ticket_form').html($('#stgh_orders_ticket_form').html()+response);
                positionFormBlock(e);
                improveProductsSelect();
            }
        });
    };

    var onloadCallbackIn = function() {
        window.doSubmit = true;
        //var mform = jQuery('#stg-ticket-form');
        //mform.submit();
        var button = jQuery('#stg-ticket-form button[name = "stgsubmit"]');
        button.click();

    };

    $(function() {

        improveProductsSelect();

		$('body').on('click','.order .button',function(e) {
            var orderId = false;
            //var classButton = $(this).attr('class').replace('button ', '');
            //if (classButton.match("^stg_order_get_help_")) {
            //    var orderId = $(this).attr('class').replace('button stg_order_get_help_', '');
            //}
            var classesButton = $(this).attr('class').split(/\s+/);
            $.each(classesButton, function(index, item) {
                if(item.match("^stg_order_get_help_"))
                {
                    orderId = item.replace('stg_order_get_help_', '');
                }
            });

            if (orderId === false)
            {
                return true;
            }

            var formDiv = document.getElementById('stgh_orders_ticket_form');

            if(!formDiv) {
                e.stopPropagation;
                drawFormBLock();
                drawForm(orderId,e);
                drawCloser();


            }
            $('#stgh_orders_ticket_form').draggable().droppable();

            return false;
        })

        $('body').on('submit','#stg-ticket-form',function(e){

            if(window.doSubmit) {
                jQuery('#stg-ticket-form button[type = "stgsubmit"]').attr('disabled','disabled');
                return true;
            }

            var captchaSize = $('.g-recaptcha').attr('data-size');
            if(captchaSize == 'invisible'){
                e.preventDefault();

                var captchaKey = $('.g-recaptcha').attr('data-sitekey');

                if(window.grId == undefined)
                {
                    window.grId = grecaptcha.render('g-recaptcha', {
                        'sitekey' : captchaKey,
                        'callback' : onloadCallbackIn,
                        'size': captchaSize
                    });
                }


                grecaptcha.execute(window.grId);
            }

        });


        $('body').on('click','#stgh_orders_ticket_closer',function(){
            $('#stgh_orders_ticket_form').remove();
        });



    });
})( jQuery );
